Web Home
Getting Started
Manual
Quick Reference
Language Reference
Function Reference
I/O Reference

Language Reference Function Reference I/O Reference Opening and Closing Text Files Reading Text Writing Text Positioning a Text File Opening and Closing Binary Files Saving and Restoring Variables Reading History Records Writing History Records Opening Non-PDB Files Making Plots Plot Paging and Hardcopy Setting Plot Limits Managing Graphics Windows Graphics Query, Edit, and Defaults | # Yorick I/O Reference ## Making Plots `plg, y, x` plot graph of 1-D y vs. x `plm, mesh_args` plot quadrilateral mesh `plc, z, mesh_args` plot contours of z `plf, z, mesh_args` plot filled mesh, filling with z `plv, v, u, mesh_args` plot vector field (u,v)) `pli, z, x0, y0, x1, y1` plot image z `pldj, x0, y0, x1, y1` plot disjoint lines `plt, text, x, y` plot text at (x,y ) The mesh_args may be zero, two, or three arguments as follows: omitted to use the current default mesh set by: `plmesh, mesh_args` set default quadrilateral mesh `plmesh` delete current default quadrilateral mesh y, x To set mesh points to (x, y ), which must be 2-D arrays of the same shape, with at least two elements in each dimension. y, x, ireg To set mesh points to (x, y ), as above, with a region number array ireg. The ireg should be an integer array of the same shape as y and x, which has a non-zero ``region number'' for every meaningful zone in the problem. The first row and column of ireg do not correspond to any zone, since there are one fewer zones along each dimension than points in y and x. The `plc` command accepts the `levs` keyword to specify the list of z values to be contoured; by default, eight linearly spaced levels are generated. The `plc` and `plmesh` commands accept the `triangle` keyword to specify a detailed triangulation map for the contouring algorithm. Use the `help, triangle` for details. The `plv` command accepts the `scale` keyword to specify the scaling factor to be applied to (u, v) before rendering the vectors in (x, y) space; by default, the vector lengths are chosen to be comparable to typical zone dimensions. The `plm` command accepts the `boundary` keyword, which should be set to 1 if only the mesh boundary, rather than the mesh interior, is to be plotted. The `plm`, `plc`, `plf`, and `plv` commands accept the `region` keyword to restrict the plot to only one region of the mesh, as numbered by the ireg argument. The default `region` is 0, which is interpreted to mean the every non-0 region of the mesh. The `pli` command produces a cell array; the x0, y0, x1, y1, which are optional, specify the coordinates of the opposite corners of the cell array. Numerous other keywords adjust the style of lines, text, etc.